Skip to main content
POST
Create a Secret Reference

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required
secretReferenceName
string
required
Pattern: ^[\w()-]{1,128}$

Body

application/json

Secret Reference request body for creating a new secret reference for an AWS Customer hosted project

agentType
enum<string>
required

The type of agent associated with the project the secret reference will be created in

Available options:
AWS,
Azure,
Matillion hosted
Example:

"AWS"

secretReferenceType
enum<string>
required

The type of secret reference

Available options:
PASSWORD
Example:

"PASSWORD"

secretName
string
required

The name of the secret within the Cloud Provider

Example:

"aws-secret-name"

description
string

The description of the secret reference

Example:

"My secret reference"

secretKey
string

The key of the secret within the Cloud Provider

Example:

"aws-secret-key"

Response

Created